Bug 4733 - actionpoint commands should be extended to displays
Summary: actionpoint commands should be extended to displays
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Adam Jocksch
URL:
Keywords:
Depends on:
Blocks: 4547
  Show dependency treegraph
 
Reported: 2007-07-03 18:03 UTC by Adam Jocksch
Modified: 2007-07-16 15:36 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Jocksch 2007-07-03 18:03:56 UTC
The delete, actions, disable, enable commands should also be applicable to displays.
Comment 1 Adam Jocksch 2007-07-04 19:15:45 UTC
DisplayManager.java should now be used to create UpdatingDisplayValues. Displays
are now also assigned unique id's for when these commands are implemented.
Comment 2 Adam Jocksch 2007-07-16 15:36:58 UTC
The delete, actions, disable, and enable commands now properly take all
arguments described by the hpd spec and also apply to displays

frysk-core/frysk/cli/hpd:
2007-07-11  Adam Jocksch  <ajocksch@redhat.com>

	* ActionsCommand.java (handle): Now only prints out section
	headers if there's something in that section.
	* DisableCommand.java (handle): Now accepts all arguments as
	specified in the hpd spec.
	* EnableCommand.java (handle): Ditto.

	* DeleteCommand.java: Reformatted.
	(handle): Now deletes displays as well as breakpoints.

	* DisableCommand.java: Reformatted.
	(handle): Extended to disable displays as well.
	* EnableCommand.java: Reformatted.
	(handle): Extended to enable displays as well.

2007-07-16  Adam Jocksch  <ajocksch@redhat.com>

	* DeleteCommand.java (handle): Now parses the correct parameters
	as per the hpd spec.
	* DisableCommand.java (handle): Simplified the argument parsing
	logic.
	* EnableCommand.java (handle): Ditto.

frysk-core/frysk/rt:=
2007-07-11  Adam Jockchch  <ajocksch@redhat.com>

	* UpdatingDisplayValue.java (enabled): Is now a no-op if already enabled.
	(disabled): Is now a no-op if already disabled.

	* DisplayManager.java (deleteDisplay): Fixed bug where display was
	not being removed from one of the maps.

	* DisplayManager.java: Reformatted.
	(getDisplay): Added.
	* UpdatingDisplayValue.java: Reformatted.
	(disable): No longer tells the SteppingEngine to continue.